
local SWAMPSHARK = Bot.Template("SWAMPSHARK", "KYRMIR_SWAMPSHARK"); 

SWAMPSHARK.setLevel(0);
SWAMPSHARK.setMagicLevel(0);

SWAMPSHARK.setHealth(125);
SWAMPSHARK.setRespawnTime(160);

SWAMPSHARK.setDamage(DAMAGE_EDGE, 120);

SWAMPSHARK.setProtection(DAMAGE_EDGE, 0);
SWAMPSHARK.setProtection(DAMAGE_BLUNT, 500);
SWAMPSHARK.setProtection(DAMAGE_FIRE, 0);
SWAMPSHARK.setProtection(DAMAGE_MAGIC, 15);
SWAMPSHARK.setProtection(DAMAGE_POINT, 25);

SWAMPSHARK.setWarnTime(6);
SWAMPSHARK.setHitDistance(250);
SWAMPSHARK.setChaseDistance(1800);
SWAMPSHARK.setDetectionDistance(1200);
SWAMPSHARK.setAttackSpeed(2100);

// Fight system
SWAMPSHARK.setInitiativeFunction(STONEGOLEM_AI);

SWAMPSHARK.setRoutineFunction(function(bot)
{
    if(bot.getLastAni() != null) return;

    switch(random(0, 1))
    {
        case 0: bot.playAni("T_SURPRISE_CW"); break;				
        case 1: bot.playAni("T_PERCEPTION"); break;	
    }

    bot.setAngle(rand() % 360);
});

registerMonsterTemplate("KYRMIR_SWAMPSHARK", SWAMPSHARK);

// Drop
registerMonsterReward("KYRMIR_SWAMPSHARK", Reward.Content(200)
    .addDrop(Reward.Drop("ITMI_GOLD", 100, 100))
);

// Spawnlist
spawnBot(SWAMPSHARK, 26696, -5330, -3022, "ADDONWORLD.ZEN");
spawnBot(SWAMPSHARK, 28945, -5303, -3205, "ADDONWORLD.ZEN");
spawnBot(SWAMPSHARK, 29995, -5290, -3059, "ADDONWORLD.ZEN");
spawnBot(SWAMPSHARK, 30543, -5320, -1090, "ADDONWORLD.ZEN");
spawnBot(SWAMPSHARK, 31325, -5325, -1979, "ADDONWORLD.ZEN");
spawnBot(SWAMPSHARK, 31490, -5305, -3574, "ADDONWORLD.ZEN");
spawnBot(SWAMPSHARK, 32744, -5248, -2706, "ADDONWORLD.ZEN");
spawnBot(SWAMPSHARK, 33042, -5234, -1614, "ADDONWORLD.ZEN");
spawnBot(SWAMPSHARK, 34086, -5210, -2927, "ADDONWORLD.ZEN");
spawnBot(SWAMPSHARK, 33071, -4848, -5416, "ADDONWORLD.ZEN");
spawnBot(SWAMPSHARK, 35199, -5221, -5328, "ADDONWORLD.ZEN");
spawnBot(SWAMPSHARK, 35842, -5245, -2949, "ADDONWORLD.ZEN");
spawnBot(SWAMPSHARK, 11555, -4597, -7313, "ADDONWORLD.ZEN");
spawnBot(SWAMPSHARK, 13983, -5241, -6638, "ADDONWORLD.ZEN");
spawnBot(SWAMPSHARK, 15351, -5148, -8462, "ADDONWORLD.ZEN");
spawnBot(SWAMPSHARK, 16806, -5054, -9996, "ADDONWORLD.ZEN");
spawnBot(SWAMPSHARK, 18298, -4635, -10429, "ADDONWORLD.ZEN");
spawnBot(SWAMPSHARK, 17976, -5097, -7321, "ADDONWORLD.ZEN");
spawnBot(SWAMPSHARK, 18147, -5129, -7182, "ADDONWORLD.ZEN");
spawnBot(SWAMPSHARK, 17786, -5242, -6118, "ADDONWORLD.ZEN");
spawnBot(SWAMPSHARK, 15550, -5269, -3465, "ADDONWORLD.ZEN");
spawnBot(SWAMPSHARK, 16475, -5134, -2508, "ADDONWORLD.ZEN");
spawnBot(SWAMPSHARK, 17099, -5233, -581, "ADDONWORLD.ZEN");
spawnBot(SWAMPSHARK, 15714, -5230, 931, "ADDONWORLD.ZEN");
spawnBot(SWAMPSHARK, 16791, -5145, -50, "ADDONWORLD.ZEN");
spawnBot(SWAMPSHARK, 14642, -4850, -1443, "ADDONWORLD.ZEN");
spawnBot(SWAMPSHARK, 14529, -5266, 3528, "ADDONWORLD.ZEN");
spawnBot(SWAMPSHARK, 13250, -5308, 5841, "ADDONWORLD.ZEN");
spawnBot(SWAMPSHARK, 11111, -5310, 7233, "ADDONWORLD.ZEN");
spawnBot(SWAMPSHARK, 11706, -5297, 8324, "ADDONWORLD.ZEN");
spawnBot(SWAMPSHARK, 12235, -5264, 10889, "ADDONWORLD.ZEN");
spawnBot(SWAMPSHARK, 14665, -5029, 10153, "ADDONWORLD.ZEN");
spawnBot(SWAMPSHARK, 15370, -5027, 9331, "ADDONWORLD.ZEN");

spawnBot(SWAMPSHARK, 53740, -3714.93, -25120.9, "COLONY.ZEN");
spawnBot(SWAMPSHARK, 51128, -3714.93, -25590.9, "COLONY.ZEN");
spawnBot(SWAMPSHARK, 49680, -3714.93, -27298.9, "COLONY.ZEN");
spawnBot(SWAMPSHARK, 46256, -3714.93, -26873, "COLONY.ZEN");
spawnBot(SWAMPSHARK, 50326, -3714.93, -31695.9, "COLONY.ZEN");
